Name:          libguestfs
Version:       1.26.9
Release:       1mamba
Summary:       Tools and a library for accessing and modifying guest disk images
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libguestfs.org/
Source:        http://libguestfs.org/download/1.26-stable/libguestfs-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: elfutils-devel
BuildRequires: glibc-devel
BuildRequires: libaudit-devel
BuildRequires: libavahi-devel
BuildRequires: libcap-ng-devel
BuildRequires: libcares-devel
BuildRequires: libconfig-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-devel
BuildRequires: libdevmapper-devel
BuildRequires: libffi-devel
BuildRequires: libfuse-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglib-devel
BuildRequires: libgmp-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libidn-devel
BuildRequires: liblzma-devel
BuildRequires: libmagic-devel
BuildRequires: libncurses-devel
BuildRequires: libnettle-devel
BuildRequires: libnl-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libp11-kit-devel
BuildRequires: libpcre-devel
BuildRequires: libpython-devel
BuildRequires: libreadline-devel
BuildRequires: librtmp-devel
BuildRequires: libsasl-devel
BuildRequires: libselinux-devel
BuildRequires: libssh2-devel
BuildRequires: libssp-devel
BuildRequires: libsystemd-devel
BuildRequires: libtasn1-devel
BuildRequires: libvirt-devel
BuildRequires: libxml2-devel
BuildRequires: libyajl-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
BuildRequires: ruby-devel
BuildRequires: trousers-devel
## AUTOBUILDREQ-END
#BuildRequires: supermin
BuildRequires: qemu
BuildRequires: libaugeas-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libguestfs is tools and a library for accessing and modifying guest disk images.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Requires:      perl-Guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lua-guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      python-guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ruby-guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      php-guestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ocaml-libguestfs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      java-libguestfs = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package -n perl-Guestfs
Group:         Development/Bindings
Summary:       Perl bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      perl

%description -n perl-Guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Perl bindings to %{name}.

%package -n lua-guestfs
Group:         Development/Bindings
Summary:       Lua bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lua-guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Lua bindings to %{name}.

%package -n python-guestfs
Group:         Development/Bindings
Summary:       Python bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Python bindings to %{name}.

%package -n ruby-guestfs
Group:         Development/Bindings
Summary:       Ruby bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n ruby-guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Ruby bindings to %{name}.

%package -n php-guestfs
Group:         Development/Bindings
Summary:       PHP bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      php

%description -n php-guestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the PHP bindings to %{name}.

%package -n ocaml-libguestfs
Group:         Development/Bindings
Summary:       Ocaml bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      ocaml

%description -n ocaml-libguestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Ocaml bindings to %{name}.

%package -n java-libguestfs
Group:         Development/Bindings
Summary:       Java bindings to %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n java-libguestfs
Libguestfs is tools and a library for accessing and modifying guest disk images.
This package includes the Java bindings to %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
# TODO: patch supermin with openmamba support to enable appliance build
%configure \
   --enable-gtk-doc \
   --disable-appliance

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_prefix}/lib/perl5/*/*/perllocal.pod

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libguestfs-gobject-1.0.so.*
%{_libdir}/libguestfs.so.*
%{_libdir}/girepository-1.0/Guestfs-1.0.typelib
%doc AUTHORS COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%{_includedir}/guestfs-gobject.h
%dir %{_includedir}/guestfs-gobject
%{_includedir}/guestfs-gobject/*
%{_includedir}/guestfs.h
%{_libdir}/libguestfs-gobject-1.0.a
%{_libdir}/libguestfs-gobject-1.0.la
%{_libdir}/libguestfs-gobject-1.0.so
%{_libdir}/libguestfs.a
%{_libdir}/libguestfs.la
%{_libdir}/libguestfs.so
%{_libdir}/libguestfs_jni.la
%{_libdir}/libguestfs_jni.so
%{_libdir}/pkgconfig/libguestfs-gobject-1.0.pc
%{_libdir}/pkgconfig/libguestfs.pc
%{_datadir}/gir-1.0/Guestfs-1.0.gir
%{_mandir}/man3/Sys::Guestfs.3pm*
%{_mandir}/man3/guestfs-examples.3*
%{_mandir}/man3/guestfs-java.3*
%{_mandir}/man3/guestfs-lua.3*
%{_mandir}/man3/guestfs-ocaml.3*
%{_mandir}/man3/guestfs-perl.3*
%{_mandir}/man3/guestfs-python.3*
%{_mandir}/man3/guestfs-ruby.3*
%{_mandir}/man3/guestfs.3*
%{_mandir}/man3/libguestfs.3*
%doc BUGS ChangeLog README TODO

%files -n perl-Guestfs
%defattr(-,root,root)
%{perl_sitearch}/Sys/Guestfs.pm
%{perl_sitearch}/Sys/bindtests.pl
%{perl_sitearch}/auto/Sys/Guestfs/.packlist
%{perl_sitearch}/auto/Sys/Guestfs/Guestfs.bs
%{perl_sitearch}/auto/Sys/Guestfs/Guestfs.so

%files -n lua-guestfs
%defattr(-,root,root)
%{_libdir}/lua/*/guestfs.so
%{_libdir}/lua/*/libluaguestfs.la

%files -n python-guestfs
%defattr(-,root,root)
%{python_sitearch}/guestfs.py
%{python_sitearch}/libguestfsmod.la
%{python_sitearch}/libguestfsmod.so

%files -n ruby-guestfs
%defattr(-,root,root)
%{_libdir}/ruby/site_ruby/2.0.0/guestfs.rb
%{_libdir}/ruby/site_ruby/2.0.0/%{_target_cpu}-linux/_guestfs.so

%files -n ocaml-libguestfs
%defattr(-,root,root)
%dir %{_libdir}/ocaml/guestfs
%{_libdir}/ocaml/guestfs/*
%{_libdir}/ocaml/stublibs/dllmlguestfs.so
%{_libdir}/ocaml/stublibs/dllmlguestfs.so.owner

%files -n php-guestfs
%defattr(-,root,root)
%{_libdir}/php/extensions/guestfs_php.so

%files -n java-libguestfs
%defattr(-,root,root)
%{_libdir}/libguestfs_jni.so.*
%{_datadir}/java/libguestfs-%{version}.jar
%dir %{_datadir}/javadoc/libguestfs
%{_datadir}/javadoc/libguestfs/*.html
%{_datadir}/javadoc/libguestfs/package-list
%{_datadir}/javadoc/libguestfs/stylesheet.css
%dir %{_datadir}/javadoc/libguestfs/com
%dir %{_datadir}/javadoc/libguestfs/com/redhat
%dir %{_datadir}/javadoc/libguestfs/com/redhat/et
%dir %{_datadir}/javadoc/libguestfs/com/redhat/et/libguestfs
%{_datadir}/javadoc/libguestfs/com/redhat/et/libguestfs/*
%dir %{_datadir}/javadoc/libguestfs/resources/inherit.gif
%{_datadir}/javadoc/libguestfs/resources/inherit.gif

%files tools
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/libguestfs-tools.conf
%{_sysconfdir}/php.d/guestfs_php.ini
%{_sysconfdir}/virt-builder
%{_sysconfdir}/xdg/virt-builder/repos.d/libguestfs.conf
%{_sysconfdir}/xdg/virt-builder/repos.d/libguestfs.gpg
%{_bindir}/guestfish
%{_bindir}/guestmount
%{_bindir}/guestunmount
%{_bindir}/libguestfs-test-tool
%{_bindir}/virt-alignment-scan
%{_bindir}/virt-builder
%{_bindir}/virt-cat
%{_bindir}/virt-copy-in
%{_bindir}/virt-copy-out
%{_bindir}/virt-customize
%{_bindir}/virt-df
%{_bindir}/virt-diff
%{_bindir}/virt-edit
%{_bindir}/virt-filesystems
%{_bindir}/virt-format
%{_bindir}/virt-index-validate
%{_bindir}/virt-inspector
%{_bindir}/virt-ls
%{_bindir}/virt-make-fs
%{_bindir}/virt-rescue
%{_bindir}/virt-resize
%{_bindir}/virt-sparsify
%{_bindir}/virt-sysprep
%{_bindir}/virt-tar-in
%{_bindir}/virt-tar-out
%{_datadir}/bash-completion/completions/guestfish
%{_datadir}/bash-completion/completions/guestmount
%{_datadir}/bash-completion/completions/virt-alignment-scan
%{_datadir}/bash-completion/completions/virt-builder
%{_datadir}/bash-completion/completions/virt-cat
%{_datadir}/bash-completion/completions/virt-df
%{_datadir}/bash-completion/completions/virt-edit
%{_datadir}/bash-completion/completions/virt-filesystems
%{_datadir}/bash-completion/completions/virt-format
%{_datadir}/bash-completion/completions/virt-inspector
%{_datadir}/bash-completion/completions/virt-ls
%{_datadir}/bash-completion/completions/virt-rescue
%{_datadir}/bash-completion/completions/virt-resize
%{_datadir}/bash-completion/completions/virt-sparsify
%{_datadir}/bash-completion/completions/virt-sysprep
%{_mandir}/man1/guestfish.1*
%{_mandir}/man1/guestfs-faq.1*
%{_mandir}/man1/guestfs-performance.1*
%{_mandir}/man1/guestfs-recipes.1*
%{_mandir}/man1/guestfs-release-notes.1*
%{_mandir}/man1/guestfs-testing.1*
%{_mandir}/man1/guestmount.1*
%{_mandir}/man1/guestunmount.1*
%{_mandir}/man1/libguestfs-test-tool.1*
%{_mandir}/man1/virt-alignment-scan.1*
%{_mandir}/man1/virt-builder.1*
%{_mandir}/man1/virt-cat.1*
%{_mandir}/man1/virt-copy-in.1*
%{_mandir}/man1/virt-copy-out.1*
%{_mandir}/man1/virt-customize.1*
%{_mandir}/man1/virt-df.1*
%{_mandir}/man1/virt-diff.1*
%{_mandir}/man1/virt-edit.1*
%{_mandir}/man1/virt-filesystems.1*
%{_mandir}/man1/virt-format.1*
%{_mandir}/man1/virt-index-validate.1*
%{_mandir}/man1/virt-inspector.1*
%{_mandir}/man1/virt-ls.1*
%{_mandir}/man1/virt-make-fs.1*
%{_mandir}/man1/virt-rescue.1*
%{_mandir}/man1/virt-resize.1*
%{_mandir}/man1/virt-sparsify.1*
%{_mandir}/man1/virt-sysprep.1*
%{_mandir}/man1/virt-tar-in.1*
%{_mandir}/man1/virt-tar-out.1*
%{_mandir}/man5/libguestfs-tools.conf.5*

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/guestfs
%{_datadir}/gtk-doc/html/guestfs/*
%dir %{_datadir}/doc/libguestfs
%{_datadir}/doc/libguestfs/*

%changelog
* Thu Oct 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26.9-1mamba
- update to 1.26.9

* Thu Jul 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26.5-1mamba
- package created using the webbuild interface
